AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

Macros | Enumerations | Functions
power.h File Reference

Go to the source code of this file.

## Macros
#define | clock_prescale_get() (clock_div_t)(CLKPR & (uint8_t)((1<<CLKPS0)|(1<<CLKPS1)|(1<<CLKPS2)|(1<<CLKPS3)))

## Enumerations
enum | clock_div_t { clock_div_1 = 0, clock_div_2 = 1, clock_div_4 = 2, clock_div_8 = 3, clock_div_16 = 4, clock_div_32 = 5, clock_div_64 = 6, clock_div_128 = 7, clock_div_256 = 8 }

## Functions
static __inline__ void | clock_prescale_set (clock_div_t) __attribute__((__always_inline__))

Automatically generated by Doxygen 1.8.3.1 on Sat Sep 14 2013.